package com.sf.service.gateway.mapper;

import com.sf.service.gateway.domain.GatewayInterfaceInfo;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * 接口管理Mapper接口
 * 
 * @author zoukun
 * @date 2024-04-22
 */
public interface GatewayInterfaceInfoMapper 
{
    /**
     * 查询接口管理
     * 
     * @param id 接口管理主键
     * @return 接口管理
     */
    public GatewayInterfaceInfo selectGatewayInterfaceInfoById(Long id);

    /**
     * 查询接口管理列表
     * 
     * @param gatewayInterfaceInfo 接口管理
     * @return 接口管理集合
     */
    public List<GatewayInterfaceInfo> selectGatewayInterfaceInfoList(GatewayInterfaceInfo gatewayInterfaceInfo);

    /**
     * 新增接口管理
     * 
     * @param gatewayInterfaceInfo 接口管理
     * @return 结果
     */
    public int insertGatewayInterfaceInfo(GatewayInterfaceInfo gatewayInterfaceInfo);

    /**
     * 修改接口管理
     * 
     * @param gatewayInterfaceInfo 接口管理
     * @return 结果
     */
    public int updateGatewayInterfaceInfo(GatewayInterfaceInfo gatewayInterfaceInfo);

    /**
     * 删除接口管理
     * 
     * @param id 接口管理主键
     * @return 结果
     */
    public int deleteGatewayInterfaceInfoById(Long id);

    /**
     * 批量删除接口管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGatewayInterfaceInfoByIds(Long[] ids);

    int updateGatewayInterfaceInfoStatusByIds(@Param("ids") Collection<Long> ids, @Param("status") String status);

    List<GatewayInterfaceInfo> selectGatewayInterfaceInfoByServerIds(@Param("serverIds") Collection<Long> serverIds);
}
